#include <bits/stdc++.h>
using namespace std;

int main() {
	long long n, l, h;
	cin >> n >> l;
	
	long long brojac = 0;
	
	for(int i = 0; i < n; i++){
		cin >> h;
		
		if(h > l){
			brojac++;
		}
		else{
			brojac = i + 1;
			break;
		}
	}
	
	cout << (brojac == n ? -1 : brojac);
	return 0;
}